
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- swiperjs cdn link -->
    <link rel="stylesheet" href="https://unpkg.com/swiper@7/swiper-bundle.min.css" />

    <!-- font awesome cdn link -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css" />

    <!-- google font link -->
    <link
        href="https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,500;0,700;1,400&family=Poppins:wght@400;500;700&display=swap"
        rel="stylesheet" />

    <!-- custom css link -->
    <link rel="stylesheet" href="css/style.css" />
    <title>Product</title>
</head>
<body>
   <!-- header section stgammings -->
    <header class="header bg-white10">
        <div class="container">
            <a href="home.html" class="logo bold white">Nexus<span class="lightpurple">Bid</span></a>

            <div class="menu">
                <form action="" class="search-form">
                    <label for="search-box" class="fas fa-search"></label>
                    <input type="search" id="search-box" placeholder="Search items and collections">
                </form>
                <a href="home.html#collections">Collections</a>
                <a href="home.html#featured">Featured</a>
                <a href="home.html#about">About</a>
                <a href="home.html#faq">FAQ</a>
                <i class="fa-sharp fa-solid fa-bell fa-2xl" style="color: #957bf4;"><a href="notification.html"></a></i>
                <i class="fa-solid fa-user fa-2xl" style="color: #957bf4;"><a href="userProfile.html"></a></i>
                <i class="fa-sharp fa-solid fa-right-from-bracket fa-2xl" style="color: #957bf4;"><a href="index.html"></a></i>
            </div>

            <div class="fas fa-bars" id="bar"></div>
        </div>
    </header>
    <!-- header section ends -->

    <div class="row box-card jc-evenly-md" style="margin-top: 10%; justify-content: center;">
    <div class="col4 card collect bg-white10 col5-md col6-s">
        <img src="img/Product/A1.png" class="img-responsive" alt="">
        <div class="row jc-between spacetop2">
            <div>
                <p class="size2 halfwhite">
                    @NexusBid
                </p>
                <h5 class="size2 bold nameproduct"></h5>
            </div>
            <div>
                <p class="current halfwhite">Current bid</p>
                <h5 class="size2 bold priceproduct" id="currentBidValue"></h5>
            </div>
        </div>
    </div>

    
    <div class="col4 card collect bg-white10 col5-md col6-s" style="width: 60%;">
        <div class="row jc-between spacetop2">
            <div>
                <p class="size2 halfwhite">
                    Product Name:
                </p>
                <h5 class="size2 bold nameproduct2"></h5>
            </div>
            <div>
                <p class="current halfwhite">Current bid</p>
                <h5 class="size2 bold">Nu 5000</h5>
            </div>
            <div>
                <p class="size2 halfwhite">starting-price</p>
                <h5 class="size2 bold priceproduct2"></h5>
            </div>
        </div>
        <div class="row jc-between spacetop2">
            <div>
                <p class="size2 halfwhite">
                    Product Description:
                </p>
                <h5 class="size2 bold descriptionproduct">Lorem ipsum dolor sit amet consectetur adipisicing elit.
                   
                </h5>
            </div>
        </div>
        <div class="row jc-between spacetop2">
            <div>
                <p class="size2 halfwhite">
                    Time-Left:
                </p>
            </div>
            <div>
                <h5 class="size2 bold hourproduct">08
                    
                </h5>
            </div>
            <div>
                <h5 class="size2 bold minuteproduct">08
                    
                </h5>
            </div>
            <div>
                <h5 class="size2 bold">00
                    <p class="size2 halfwhite">Seconds</p>
                </h5>
            </div>
        </div>
        
        <a class="bid size2 ta-center" onclick="showPopup()">
            Place a bid
        </a>
    </div>
</div>


<!--bid POPup-->
<div id="bidPopup" class="row box-card jc-evenly-md" style="justify-content: center; display: none;" >
    <div class="col4 card collect col5-md col6-s" style="background-color: #2c0d22;">
        <span class="close-button" onclick="closePopup()" style="margin-left: 90%; margin-top: 0%; cursor: pointer;">&times;</span>
        <div>
            <h5 class="size2 bold">Place Your Bid</h5>
        </div>
        <div class="row jc-between spacetop2">
        <div>
            <p class="current halfwhite">Current bid</p>
            <h5 class="size2 bold" id="currentBidValue">Nu 5000</h5>
        </div>
        <div>
            <p class="size2 halfwhite">starting-price</p>
            <h5 class="size2 bold" id="startingBidValue">Nu 1000</h5>
        </div>
    </div>
    <div class="row jc-between spacetop2">
        <div>
            <button onclick="decrementBid()">-</button>
        </div>
        <div>
            <input type="number" id="bidAmount" min="0" step="1" value="100">
        </div>
        <div>
            <button onclick="incrementBid()">+</button>
        </div>
    </div>
        <a class="bid size2 ta-center" onclick="placeBid()">
            Place a bid
        </a>
    </div>
    </div>
</div>
<!--bid POPup ends-->

 <!-- more products section stgammings -->
 <section class="featured spacer10" id="featured">
    <div class="container">
        <h1 class="bold size4 ta-center">Explore More</h1>
        <div class="swiper card-slider row">
            <div class="swiper-wrapper">
                <div class="col4 col5-md col7-s swiper-slide">
                    <div class="card bg-white10">
                        <img src="img/Product/A3.png" class="img-responsive" alt="">
                        <div class="row jc-between spacetop2">
                            <div>
                                <p class="size2 halfwhite ">
                                    @NexusBid
                                </p>
                                <h5 class="size2 bold"></h5>
                            </div>
                            <div>
                                <p class="current halfwhite">Current bid</p>
                                <h5 class="size2 bold"></h5>
                            </div>
                        </div>
                        <a class="bid size2 ta-center">
                            Place a bid
                        </a>
                    </div>
                </div>
                <div class="col4 col5-md col7-s swiper-slide">
                    <div class="card bg-white10">
                        <img src="img/Product/A3.png" class="img-responsive" alt="">
                        <div class="row jc-between spacetop2">
                            <div>
                                <p class="size2 halfwhite">
                                    @NExusBid
                                </p>
                                <h5 class="size2 bold">An Angel</h5>
                            </div>
                            <div>
                                <p class="current halfwhite">Current bid</p>
                                <h5 class="size2 bold">Nu 5000</h5>
                            </div>
                        </div>
                        <a class="bid size2 ta-center">
                            Place a bid
                        </a>
                    </div>
                </div>
                <div class="col4 col5-md col7-s swiper-slide">
                    <div class="card bg-white10">
                        <img src="img/Product/A3.png" class="img-responsive" alt="">
                        <div class="row jc-between spacetop2">
                            <div>
                                <p class="size2 halfwhite">
                                    @NExusBid
                                </p>
                                <h5 class="size2 bold">An Angel</h5>
                            </div>
                            <div>
                                <p class="current halfwhite">Current bid</p>
                                <h5 class="size2 bold">Nu 5000</h5>
                            </div>
                        </div>
                        <a class="bid size2 ta-center" onclick="showPopup()">
                            Place a bid
                        </a>
                    </div>
                </div>
                

            </div>
        </div>
    </div>
</section>
<!-- more products section ends -->


 <!-- footer section stgammings -->
 <footer class="spacer10">
    <div class="container row jc-between flexcol-s ta-center-s">
        <div class="row flexcol spacebottom3-s">
            <a href="#home" class="size2 bold white">Nexus<span class="lightpurple">Bid</span></a>
            <p class="size2 halfwhite spacetop2">The best NFT marketplace website in<br>the world and feel your
                experience
                in<br>selling or buy our work</p>
        </div>
        <div class="row flexcol spacebottom3-s">
            <a href="#about" class="bold size2 white">About</a>
            <a href="#" class="size2 halfwhite spacetop2">Product</a>
            <a href="#" class="size2 halfwhite spacetop2">Resource</a>
            <a href="#" class="size2 halfwhite spacetop2">Term & Condition</a>
            <a href="#" class="size2 halfwhite spacetop2">FAQ</a>
        </div>
        <div class="row flexcol spacebottom3-s">
            <a href="#" class="bold size2 white">Company</a>
            <a href="#" class="size2 halfwhite spacetop2">Our Team</a>
            <a href="#" class="size2 halfwhite spacetop2">Pgammingner With Us</a>
            <a href="#" class="size2 halfwhite spacetop2">Privacy & Policy</a>
            <a href="#" class="size2 halfwhite spacetop2">Features</a>
        </div>
        <div class="row flexcol spacebottom3-s">
            <h5 class="bold size2">Contact</h5>
            <a href="#" class="size2 halfwhite spacetop2">+012 3456789</a>
            <a href="#" class="size2 halfwhite spacetop2">NexusBid@gmail.com</a>
            <div class="row jc-between spacetop2 jc-evenly-s">
                <a href="#" class="fab fa-youtube size2 halfwhite spacetop2"></a>
                <a href="#" class="fab fa-discord size2 halfwhite spacetop2"></a>
                <a href="#" class="fab fa-instagram size2 halfwhite spacetop2"></a>
            </div>
        </div>
    </div>
    <p class="size2 halfwhite spacetop5 ta-center">© 2023 <span class="white bold">NexusBid</span> | All Rights
        Reserved.</p>
</footer>
<!-- footer section ends -->

<style>
    #bidPopup{
        background-color: rgba(146, 142, 142, 0.6);
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        transform: translateY(-130%);
    }

    
</style>

<script src="https://unpkg.com/swiper@7/swiper-bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js"></script>
<script src="js/product.js" type="module"></script>
  <script src="js/script.js"></script>  
  <script src="js/popup.js"></script>
  
</body>
</html>